---
updatedAt: 2025-06-09T23:11:42.000Z
agentTools:
  projectIndex: https://docs.recruitee.com/llms.txt
---

# /offers/

Returns a collection of published company jobs. Offers can be filtered by department or tag.

> 📘 Note
>
> Replace `yourcompany` in the URL with the subdomain of your company's careers site. If you want to try out this endpoint, please type the subdomain in the **Base URL** (right sidebar).

***

> 👍 Response example
>
> By clicking on the *200* response you will see the names of fields returned by the endpoint. There are two example jobs from Recruitee with **multiple locations** assigned and **screening question types**. There is also an example translation provided, but this might change depending on the languages enabled in Recruitee
>
> > ❗️ Response order
> >
> > Order of fields will differ from the one presented in the response example

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "careers-site-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://{yourcompany}.recruitee.com/api",
      "variables": {
        "yourcompany": {
          "default": "yourcompany"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/offers/": {
      "get": {
        "summary": "/offers/",
        "description": "Returns a collection of published company jobs. Offers can be filtered by department or tag.",
        "operationId": "offers",
        "parameters": [
          {
            "name": "department",
            "in": "query",
            "description": "Filters job offers by department name",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "tag",
            "in": "query",
            "description": "Filters job offers by tag name",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"offers\": [\n        {\n            \"company_name\": \"Example company name\",\n            \"title\": \"Example offer 1\",\n            \"id\": 1853589,\n            \"guid\": \"vdst3\",\n            \"slug\": \"example-offer-1\",\n            \"department\": \"Example department\",\n            \"status\": \"published\",\n            \"careers_url\": \"https://subdomain.recruitee.com/o/example-offer-1\",\n            \"careers_apply_url\": \"https://subdomain.recruitee.com/o/example-offer-1/c/new\",\n            \"mailbox_email\": \"job.wefd3@subdomain.recruitee.com\",\n            \"created_at\": \"20**-09-26 10:45:33 UTC\",\n            \"published_at\": \"20**-09-26 10:46:21 UTC\",\n            \"updated_at\": \"20**-11-21 12:54:32 UTC\",\n            \"close_at\": null,\n            \"description\": \"Description text\",\n            \"requirements\": \"Requirements text\",\n            \"highlight\": \"Highlight text\",\n            \"remote\": true,\n            \"on_site\": true,\n            \"hybrid\": true,\n            \"locations\": [\n                {\n                    \"id\": 171529,\n                    \"name\": \"Example location 1\",\n                    \"state\": \"Aruba\",\n                    \"country\": \"Netherlands\",\n                    \"city\": \"Amsterdam\",\n                    \"country_code\": \"NL\",\n                    \"state_code\": \"AW\",\n                    \"street\": \"Example street\",\n                    \"note\": \"Example note - location 1\",\n                    \"postal_code\": \"00-000\"\n                },\n                {\n                    \"id\": 171533,\n                    \"name\": \"Example location 2\",\n                    \"state\": \"Leinster\",\n                    \"country\": \"Ireland\",\n                    \"city\": \"Dublin\",\n                    \"country_code\": \"IE\",\n                    \"state_code\": \"L\",\n                    \"street\": \"Example street 2\",\n                    \"note\": \"Example note - location 2\",\n                    \"postal_code\": \"00-000\"\n                },\n                {\n                    \"id\": 171528,\n                    \"name\": \"Example location 3\",\n                    \"state\": \"Berlin\",\n                    \"country\": \"Germany\",\n                    \"city\": \"Berlin\",\n                    \"country_code\": \"DE\",\n                    \"state_code\": \"BE\",\n                    \"street\": \"Example street 3\",\n                    \"note\": \"Location note 3\",\n                    \"postal_code\": \"00-000\"\n                }\n            ],\n            \"locations_question_required\": true,\n            \"locations_question\": \"What is your preferred work location?\",\n            \"locations_question_type\": \"multiple_choice\",\n            \"location_question_visible\": true,\n            \"employment_type_code\": \"fulltime_permanent\",\n            \"category_code\": \"accountancy\",\n            \"experience_code\": \"experienced\",\n            \"education_code\": \"college_coursework\",\n            \"min_hours\": 35,\n            \"max_hours\": 40,\n            \"min_hours_per_week\": \"35\",\n            \"max_hours_per_week\": \"40\",\n            \"salary\": {\n                \"max\": \"1000\",\n                \"min\": \"100\",\n                \"period\": \"hour\",\n                \"currency\": \"EUR\"\n            },\n            \"options_cover_letter\": \"off\",\n            \"options_photo\": \"off\",\n            \"options_cv\": \"off\",\n            \"options_phone\": \"off\",\n            \"sharing_title\": \"Example job 1\",\n            \"sharing_image\": \"sharing_image_url\",\n            \"sharing_description\": \"Example job 1\",\n            \"cover_image\": {\n                \"url\": \"cover_image_url\"\n            },\n            \"tags\": [\n                \"Example tag\"\n            ]\n        },\n        {\n            \"company_name\": \"Example company name\",\n            \"title\": \"Example offer 2\",\n            \"id\": 870806,\n            \"created_at\": \"20**-01-25 16:19:38 UTC\",\n            \"published_at\": \"20**-04-07 09:07:20 UTC\",\n            \"translations\": {\n                \"de\": {\n                    \"description\": \"<p>German translation</p>\",\n                    \"title\": \"Beispieljob 1\",\n                    \"highlight\": \"<p>German translation</p>\",\n                    \"requirements\": \"<p>German translation</p>\",\n                    \"sharing_image\": \"sharing_image_url\",\n                    \"sharing_title\": \"Beispieljob 2\",\n                    \"sharing_description\": \"Beispieljob 2\",\n                    \"locations_question\": \"Was ist dein bevorzugter Arbeitsort?\"\n                }\n            },\n            \"open_questions\": [\n                {\n                    \"id\": 2519426,\n                    \"position\": 1,\n                    \"options\": {},\n                    \"required\": true,\n                    \"body\": \"Example question - single line\",\n                    \"kind\": \"string\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"Example question - single line (DE)\"\n                        },\n                        \"en\": {\n                            \"body\": \"Example question - single line\"\n                        }\n                    },\n                    \"open_question_options\": []\n                },\n                {\n                    \"id\": 2519427,\n                    \"position\": 2,\n                    \"options\": {},\n                    \"required\": true,\n                    \"body\": \"Example question - multi line\",\n                    \"kind\": \"text\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"Example question - multi line (DE)\"\n                        },\n                        \"en\": {\n                            \"body\": \"Example question - multi line\"\n                        }\n                    },\n                    \"open_question_options\": []\n                },\n                {\n                    \"id\": 2519428,\n                    \"position\": 3,\n                    \"options\": {},\n                    \"required\": true,\n                    \"body\": \"Example question - yes/no\",\n                    \"kind\": \"boolean\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"Example question - yes/no (DE)\"\n                        },\n                        \"en\": {\n                            \"body\": \"Example question - yes/no\"\n                        }\n                    },\n                    \"open_question_options\": []\n                },\n                {\n                    \"id\": 2989144,\n                    \"position\": 4,\n                    \"options\": {},\n                    \"required\": true,\n                    \"body\": \"Example question - single choice\",\n                    \"kind\": \"single_choice\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"Example question - single choice\"\n                        },\n                        \"en\": {\n                            \"body\": \"Example question - single choice\"\n                        }\n                    },\n                    \"open_question_options\": [\n                        {\n                            \"id\": 4356804,\n                            \"position\": 0,\n                            \"body\": \"Option 1\",\n                            \"translations\": {\n                                \"de\": {\n                                    \"body\": \"Option 1\"\n                                },\n                                \"en\": {\n                                    \"body\": \"Option 1\"\n                                }\n                            }\n                        },\n                        {\n                            \"id\": 4356805,\n                            \"position\": 1,\n                            \"body\": \"Option 2\",\n                            \"translations\": {\n                                \"de\": {\n                                    \"body\": \"Option 2\"\n                                },\n                                \"en\": {\n                                    \"body\": \"Option 2\"\n                                }\n                            }\n                        }\n                    ]\n                },\n                {\n                    \"id\": 2989147,\n                    \"position\": 5,\n                    \"options\": {},\n                    \"required\": true,\n                    \"body\": \"Example question - multiple choice\",\n                    \"kind\": \"multi_choice\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"Example question - multiple choice\"\n                        },\n                        \"en\": {\n                            \"body\": \"Example question - multiple choice\"\n                        }\n                    },\n                    \"open_question_options\": [\n                        {\n                            \"id\": 4356808,\n                            \"position\": 0,\n                            \"body\": \"Option 1\",\n                            \"translations\": {\n                                \"de\": {\n                                    \"body\": \"Option 1\"\n                                },\n                                \"en\": {\n                                    \"body\": \"Option 1\"\n                                }\n                            }\n                        },\n                        {\n                            \"id\": 4356809,\n                            \"position\": 1,\n                            \"body\": \"Option 2\",\n                            \"translations\": {\n                                \"de\": {\n                                    \"body\": \"Option 2\"\n                                },\n                                \"en\": {\n                                    \"body\": \"Option 2\"\n                                }\n                            }\n                        },\n                        {\n                            \"id\": 4356810,\n                            \"position\": 2,\n                            \"body\": \"Option 3\",\n                            \"translations\": {\n                                \"de\": {\n                                    \"body\": \"Option 3\"\n                                },\n                                \"en\": {\n                                    \"body\": \"Option 3\"\n                                }\n                            }\n                        },\n                        {\n                            \"id\": 4356811,\n                            \"position\": 3,\n                            \"body\": \"Option 4\",\n                            \"translations\": {\n                                \"de\": {\n                                    \"body\": \"Option 4\"\n                                },\n                                \"en\": {\n                                    \"body\": \"Option 4\"\n                                }\n                            }\n                        }\n                    ]\n                },\n                {\n                    \"id\": 2989148,\n                    \"position\": 6,\n                    \"options\": {},\n                    \"required\": true,\n                    \"body\": \"Example question - date\",\n                    \"kind\": \"date\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"Example question - date\"\n                        },\n                        \"en\": {\n                            \"body\": \"Example question - date\"\n                        }\n                    },\n                    \"open_question_options\": []\n                },\n                {\n                    \"id\": 2989149,\n                    \"position\": 7,\n                    \"options\": {},\n                    \"required\": true,\n                    \"body\": \"Example question - number\",\n                    \"kind\": \"number\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"Example question - number\"\n                        },\n                        \"en\": {\n                            \"body\": \"Example question - number\"\n                        }\n                    },\n                    \"open_question_options\": []\n                },\n                {\n                    \"id\": 2989150,\n                    \"position\": 8,\n                    \"options\": {\n                        \"currency\": \"EUR\"\n                    },\n                    \"required\": true,\n                    \"body\": \"Example question - salary\",\n                    \"kind\": \"salary\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"Example question - salary\"\n                        },\n                        \"en\": {\n                            \"body\": \"Example question - salary\"\n                        }\n                    },\n                    \"open_question_options\": []\n                },\n                {\n                    \"id\": 2989151,\n                    \"position\": 9,\n                    \"options\": {\n                        \"length\": 120\n                    },\n                    \"required\": true,\n                    \"body\": \"Example question - video\",\n                    \"kind\": \"video\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"Example question - video\"\n                        },\n                        \"en\": {\n                            \"body\": \"Example question - video\"\n                        }\n                    },\n                    \"open_question_options\": []\n                },\n                {\n                    \"id\": 2989152,\n                    \"position\": 10,\n                    \"options\": {},\n                    \"required\": true,\n                    \"body\": \"Example question - file\",\n                    \"kind\": \"file\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"Example question - file\"\n                        },\n                        \"en\": {\n                            \"body\": \"Example question - file\"\n                        }\n                    },\n                    \"open_question_options\": []\n                },\n                {\n                    \"id\": 2989153,\n                    \"position\": 11,\n                    \"options\": {},\n                    \"required\": false,\n                    \"body\": \"<p>Infobox</p>\",\n                    \"kind\": \"infobox\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"<p>Infobox</p>\"\n                        },\n                        \"en\": {\n                            \"body\": \"<p>Infobox</p>\"\n                        }\n                    },\n                    \"open_question_options\": []\n                },\n                {\n                    \"id\": 2989154,\n                    \"position\": 12,\n                    \"options\": {},\n                    \"required\": true,\n                    \"body\": \"<p>Legal</p>\",\n                    \"kind\": \"legal\",\n                    \"translations\": {\n                        \"de\": {\n                            \"body\": \"<p>Legal</p>\"\n                        },\n                        \"en\": {\n                            \"body\": \"<p>Legal</p>\"\n                        }\n                    },\n                    \"open_question_options\": []\n                }\n            ]\n        }\n    ]\n}\n  "
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "offers": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "company_name": {
                            "type": "string",
                            "example": "Example company name"
                          },
                          "title": {
                            "type": "string",
                            "example": "Example offer 1"
                          },
                          "id": {
                            "type": "integer",
                            "example": 1853589,
                            "default": 0
                          },
                          "guid": {
                            "type": "string",
                            "example": "vdst3"
                          },
                          "slug": {
                            "type": "string",
                            "example": "example-offer-1"
                          },
                          "department": {
                            "type": "string",
                            "example": "Example department"
                          },
                          "status": {
                            "type": "string",
                            "example": "published"
                          },
                          "careers_url": {
                            "type": "string",
                            "example": "https://subdomain.recruitee.com/o/example-offer-1"
                          },
                          "careers_apply_url": {
                            "type": "string",
                            "example": "https://subdomain.recruitee.com/o/example-offer-1/c/new"
                          },
                          "mailbox_email": {
                            "type": "string",
                            "example": "job.wefd3@subdomain.recruitee.com"
                          },
                          "created_at": {
                            "type": "string",
                            "example": "20**-09-26 10:45:33 UTC"
                          },
                          "published_at": {
                            "type": "string",
                            "example": "20**-09-26 10:46:21 UTC"
                          },
                          "updated_at": {
                            "type": "string",
                            "example": "20**-11-21 12:54:32 UTC"
                          },
                          "close_at": {},
                          "description": {
                            "type": "string",
                            "example": "Description text"
                          },
                          "requirements": {
                            "type": "string",
                            "example": "Requirements text"
                          },
                          "highlight": {
                            "type": "string",
                            "example": "Highlight text"
                          },
                          "remote": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "on_site": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "hybrid": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "locations": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "integer",
                                  "example": 171529,
                                  "default": 0
                                },
                                "name": {
                                  "type": "string",
                                  "example": "Example location 1"
                                },
                                "state": {
                                  "type": "string",
                                  "example": "Aruba"
                                },
                                "country": {
                                  "type": "string",
                                  "example": "Netherlands"
                                },
                                "city": {
                                  "type": "string",
                                  "example": "Amsterdam"
                                },
                                "country_code": {
                                  "type": "string",
                                  "example": "NL"
                                },
                                "state_code": {
                                  "type": "string",
                                  "example": "AW"
                                },
                                "street": {
                                  "type": "string",
                                  "example": "Example street"
                                },
                                "note": {
                                  "type": "string",
                                  "example": "Example note - location 1"
                                },
                                "postal_code": {
                                  "type": "string",
                                  "example": "00-000"
                                }
                              }
                            }
                          },
                          "locations_question_required": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "locations_question": {
                            "type": "string",
                            "example": "What is your preferred work location?"
                          },
                          "locations_question_type": {
                            "type": "string",
                            "example": "multiple_choice"
                          },
                          "location_question_visible": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "employment_type_code": {
                            "type": "string",
                            "example": "fulltime_permanent"
                          },
                          "category_code": {
                            "type": "string",
                            "example": "accountancy"
                          },
                          "experience_code": {
                            "type": "string",
                            "example": "experienced"
                          },
                          "education_code": {
                            "type": "string",
                            "example": "college_coursework"
                          },
                          "min_hours": {
                            "type": "integer",
                            "example": 35,
                            "default": 0
                          },
                          "max_hours": {
                            "type": "integer",
                            "example": 40,
                            "default": 0
                          },
                          "min_hours_per_week": {
                            "type": "string",
                            "example": "35"
                          },
                          "max_hours_per_week": {
                            "type": "string",
                            "example": "40"
                          },
                          "salary": {
                            "type": "object",
                            "properties": {
                              "max": {
                                "type": "string",
                                "example": "1000"
                              },
                              "min": {
                                "type": "string",
                                "example": "100"
                              },
                              "period": {
                                "type": "string",
                                "example": "hour"
                              },
                              "currency": {
                                "type": "string",
                                "example": "EUR"
                              }
                            }
                          },
                          "options_cover_letter": {
                            "type": "string",
                            "example": "off"
                          },
                          "options_photo": {
                            "type": "string",
                            "example": "off"
                          },
                          "options_cv": {
                            "type": "string",
                            "example": "off"
                          },
                          "options_phone": {
                            "type": "string",
                            "example": "off"
                          },
                          "sharing_title": {
                            "type": "string",
                            "example": "Example job 1"
                          },
                          "sharing_image": {
                            "type": "string",
                            "example": "sharing_image_url"
                          },
                          "sharing_description": {
                            "type": "string",
                            "example": "Example job 1"
                          },
                          "cover_image": {
                            "type": "object",
                            "properties": {
                              "url": {
                                "type": "string",
                                "example": "cover_image_url"
                              }
                            }
                          },
                          "tags": {
                            "type": "array",
                            "items": {
                              "type": "string",
                              "example": "Example tag"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"error\": \"Not Found\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "example": "Not Found"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```